m4_define(PROGRAM, para_audioc)
m4_define(DEFAULT_HISTORY_FILE, ~/.paraslash/audioc.history)
[suite audioc]
version-string = GIT_VERSION()
[supercommand para_audioc]
	purpose = communicate with para_audiod through a local socket
	non-opts-name = [command [options]]
	[description]
		The client program to control para_audiod at runtime. It allows to
		enable/disable streaming, to receive status info, or to grab the
		audio stream at any point of the decoding process.

		If no command is given, para_audioc enters interactive mode.
	[/description]
	m4_include(common-option-section.m4)
	m4_include(help.m4)
	m4_include(detailed-help.m4)
	m4_include(version.m4)
	m4_include(loglevel.m4)
	m4_include(complete.m4)
	m4_include(history-file.m4)
	m4_include(per-command-options-section.m4)
	[option socket]
		short_opt = s
		summary = path to well-known socket
		arg_info = required_arg
		arg_type = string
		typestr = path
		[help]
			The default path of the socket is
			/var/paraslash/audiod.socket.$HOSTNAME.
		[/help]
	[option bufsize]
		short_opt = b
		summary = size of internal buffer
		arg_info = required_arg
		arg_type = uint32
		typestr = bytes
		default_val = 8192
