[suite write_cmd]
caption = writers
[subcommand alsa]
	purpose = native ALSA output plugin
	[option device]
		short_opt = d
		summary = set PCM device
		typestr = device
		arg_info = required_arg
		arg_type = string
		default_val = default
		[help]
			Check for the presence of a /proc/asound/ directory to see if ALSA
			is present in your kernel. The file /proc/asound/devices contains
			all devices ALSA knows about.
		[/help]
	[option buffer-time]
		short_opt = B
		summary = duration of the ALSA buffer
		typestr = milliseconds
		arg_info = required_arg
		arg_type = uint32
		default_val = 170
		[help]
			This is only a hint as ALSA might pick a slightly different time,
			depending on the sound hardware. The chosen value is shown in debug
			output as BUFFER_TIME.

			If synchronization between multiple clients is desired, the same
			buffer time should be configured for all clients.
		[/help]
[subcommand ao]
	purpose = output plugin for libao
	[option driver]
		short_opt = d
		summary = select a output driver by name
		typestr = name
		arg_info = required_arg
		arg_type = string
		[help]
			If this is not given, the driver with the highest priority (see below)
			will be used.
		[/help]
	[option ao-option]
		short_opt = o
		summary = pass a key-value pair to the libao driver
		typestr = key:value
		arg_info = required_arg
		arg_type = string
		flag multiple
		[help]
			For each time this option is given, the supplied key-value pair is
			appended to the list of options for the driver. Invalid keys are
			silently ignored.
		[/help]
[subcommand oss]
	purpose = output plugin for the Open Sound System
	[option device]
		short_opt = d
		summary = set PCM device
		typestr = path
		arg_info = required_arg
		arg_type = string
		default_val = /dev/dsp
[subcommand osx]
	purpose = output plugin for Mac OS coreaudio
	[option numbuffers]
		short_opt = n
		summary = number of audio buffers to allocate
		typestr = num
		arg_info = required_arg
		arg_type = uint32
		default_val = 20
		[help]
			Increase if you get buffer underruns.
		[/help]
[subcommand file]
	purpose = output plugin that writes to a local file
	[option filename]
		short_opt = f
		summary = specify output file name
		typestr = path
		arg_info = required_arg
		arg_type = string
		[help]
			Defaults to a random filename in ~/.paraslash.
		[/help]
