/* Copyright (C) 2006 Andre Noll <maan@tuebingen.mpg.de>, see file COPYING. */

/** \file stdout.h Writing to stdout via buffer trees. */

/**
 * The task structure used for writing to stdout.
 *
 * This is used by para_recv, para_filter and para_client.
 */
struct stdout_task {
	/** The task structure used by the scheduler. */
	struct task *task;
	/** Stdout is always a leaf node in the buffer tree. */
	struct btr_node *btrn;
	/** The descriptor flags of STDOUT at startup. */
	int fd_flags;
	/** Whether we have to set STDOUT to nonblocking mode. */
	bool must_set_nonblock_flag;
};

void stdout_task_register(struct stdout_task *sot, struct sched *s);
