/* Copyright (C) 2005 Andre Noll <maan@tuebingen.mpg.de>, see file COPYING. */

/** \file vss.h Exported functions from vss.c (para_server). */

void vss_init(int afs_socket, struct sched *s);
unsigned int vss_playing(void);
unsigned int vss_next(void);
unsigned int vss_repos(void);
unsigned int vss_paused(void);
unsigned int vss_stopped(void);
struct timeval *vss_chunk_time(void);

/** Stop playing after current audio file. */
#define VSS_NOMORE 1
/** Skip remaining part of current audio file. */
#define VSS_NEXT 2
/** A reposition request was sent by a client. */
#define VSS_REPOS 4
/** Currently playing. */
#define VSS_PLAYING 8

struct fec_client *vss_add_fec_client(struct sender_client *sc,
				      struct fec_client_parms *fcp);
void vss_del_fec_client(struct fec_client *fc);
size_t vss_get_fec_eof_packet(const char **buf);
